/* Copyright 2021, Michele Santullo
 * This file is part of remarkable_tool.
 *
 * remarkable_tool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Remarkable_tool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with remarkable_tool.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "main_window.hpp"
#include "config.h"
#include <QLabel>

namespace duck {
MainWindow::MainWindow() {
	setWindowTitle(APP_NAME);
	QLabel* const main_label = new QLabel("Main label thing");
	setCentralWidget(main_label);
	main_label->setAlignment(Qt::AlignCenter);
}

MainWindow::~MainWindow() noexcept = default;
} //namespace duck
